Skip to content

@crazy-max crazy-max released this May 25, 2019

Github Releases (by Release)

Changelog

  • Switch to TravisCI
  • Fix update URL
  • Check Apache HTTP headers insensitive
  • Add homepage logging in neard-homepage.log
  • Typo lang
  • Increase MySQL initialization timeout
  • Apache 2.4.39
  • MongoDB 3.4.20
  • MySQL 8.0.16
  • NodeJS 10.15.3 (LTS)
  • PHP 7.3.5
  • PostgreSQL 11.3
  • Composer 1.8.5
  • Git 2.20.1
  • Perl 5.30.0.1
  • PHPUnit 7.5.9
  • Ruby 2.6.3-1
  • Yarn 1.15.2

Upgrade from previous release

  • required : Remove then copy folder core
Assets 7
Pre-release
Pre-release

@crazy-max crazy-max released this May 25, 2019

Unstable release

  • Switch to TravisCI
  • Check Apache HTTP headers insensitive
  • Add homepage logging in neard-homepage.log
  • Typo lang
  • Increase MySQL initialization timeout
  • Apache 2.4.39
  • MongoDB 3.4.20
  • MySQL 8.0.16
  • NodeJS 10.15.3 (LTS)
  • PHP 7.3.5
  • PostgreSQL 11.3
  • Composer 1.8.5
  • Git 2.20.1
  • Perl 5.30.0.1
  • PHPUnit 7.5.9
  • Ruby 2.6.3-1
  • Yarn 1.15.2
Assets 7
Pre-release
Pre-release

@crazy-max crazy-max released this May 24, 2019

Unstable release

  • Check Apache HTTP headers insensitive
  • Add homepage logging in neard-homepage.log
  • Typo lang
  • Increase MySQL initialization timeout
  • Apache 2.4.39
  • MongoDB 3.4.20
  • MySQL 8.0.16
  • NodeJS 10.15.3 (LTS)
  • PHP 7.3.5
  • PostgreSQL 11.3
  • Composer 1.8.5
  • Git 2.20.1
  • Perl 5.30.0.1
  • PHPUnit 7.5.9
  • Ruby 2.6.3-1
  • Yarn 1.15.2
Assets 7
Pre-release
Pre-release

@crazy-max crazy-max released this May 24, 2019

Unstable release

  • Apache 2.4.39
  • MongoDB 3.4.20
  • MySQL 8.0.16
  • NodeJS 10.15.3 (LTS)
  • PHP 7.3.5
  • Composer 1.8.5
  • Git 2.20.1
  • Ruby 2.6.3-1
  • Yarn 1.15.2
Assets 7

@crazy-max crazy-max released this Jan 4, 2019

Github Releases (by Release)

Changelog

  • Update Mariadb to 10.3.8
  • Update MySQL to 8.0.12
  • Update NodeJS to 11.4.0
  • Update PHP to 7.2.13
  • Update Adminer to 4.6.1
  • Update phpMyAdmin to 4p7
  • Update Git to 2.19.1
  • Update Python to 3.6.6.2
  • Update Ruby to 2.4.4
  • Update Yarn to 1.12.3

Upgrade from previous release

  • required : Remove then copy folder core
Assets 7
Pre-release
Pre-release

@crazy-max crazy-max released this Jan 4, 2019

Unstable release

  • Update Mariadb to 10.3.8
  • Update MySQL to 8.0.12
  • Update NodeJS to 11.4.0
  • Update PHP to 7.2.13
  • Update Adminer to 4.6.1
  • Update phpMyAdmin to 4p7
  • Update Git to 2.19.1
  • Update Python to 3.6.6.2
  • Update Ruby to 2.4.4
  • Update Yarn to 1.12.3
Assets 7
Pre-release
Pre-release

@crazy-max crazy-max released this Jan 4, 2019

Unstable release

Assets 7

@crazy-max crazy-max released this Dec 30, 2017

Github Releases (by Release)

Changelog

  • Manage Yarn cache and global path (Issue #354)
  • Yarn config not updated (Issue #353)
  • Put Composer cache-dir to neard/tmp/composer (Issue #346)
  • Add global composer vendor/bin in PATH (Issue #344)
  • Move neard repositories to its own organization (Issue #339)
  • Add ngrok (Issue #334)
  • Remove HostsEditor module and add in core instead (Issue #329)
  • Create separated logs (stdout / stderr) for NSSM services (Issue #326)
  • ImageMagick convert.exe is overridden by convert.exe from Windows (Issue #323)
  • Put NEARD_BINS at the beginning of PATH (Issue #323)
  • Remove ImageMagick module (Issue #322)
  • Add a deps folder to load additional dependencies for PHP (Issue #321)
  • Fix error on homepage
  • Increase MySQL initialization timeout
  • Do not clear composer cache on startup
  • Fix "Incorrect argument " error while retrieving list of processes
  • Find Git repositories with a max depth of 2
  • Update about dialog
  • Upgrade to Markdown lib 1.7.0
  • Wrong file size for version check on homepage
  • Exclude .editorconfig from core
  • Neard settings configurable through build.properties
  • Update Apache to 2.4.29
  • Update Composer to 1.5.6
  • Update Console to 2.00.148.4
  • Update Drush to 8.1.15
  • Update Ghostscript to 9.22
  • Update Git to 2.15.1.2
  • Update Gitlist to 0.6.0
  • Update Node.js to 8.9.3
  • Update PHP to 7.1.12
  • Update PHPUnit to 6.5.5
  • Update Yarn to 1.3.2

Upgrade from previous release

  • required : Remove then replace folder core
  • required : Remove then replace file sprites.dat
  • required : Copy folder tools\ngrok
  • required : Add line ngrokVersion = "2.2.8" after gitVersion in neard.conf
  • required : Remove line hostseditorVersion in tools section in neard.conf and remove folder tools\hostseditor
  • required : Remove line imagemagickVersion in tools section in neard.conf and remove folder tools\imagemagick
  • required : Change consoleVersion value to 2.00.148.4 in neard.conf and copy folder tools\console\console2.00.148.4
  • required : Change yarnVersion value to 1.3.2 in neard.conf and copy folder tools\yarn\yarn1.3.2
  • required : Change gitlistVersion value to 0.6.0 in neard.conf and copy folder apps\gitlist\gitlist0.6.0
  • required : Replace your existing Composer version(s) with the latest Composer release.
  • required : Replace your existing PHP version(s) with the latest PHP release.
Assets 7
Pre-release

@crazy-max crazy-max released this Dec 30, 2017

Unstable release

  • Manage Yarn cache and global path (Issue #354)
  • Yarn config not updated (Issue #353)
  • Fix error on homepage
  • Increase MySQL initialization timeout
  • Update Apache to 2.4.29
  • Update Console to 2.00.148.4
  • Update Drush to 8.1.15
  • Update Ghostscript to 9.22
  • Update Git to 2.15.1.2
  • Update PHPUnit to 6.5.5
  • Update Yarn to 1.3.2
Assets 7
Pre-release

@crazy-max crazy-max released this Dec 28, 2017

Unstable release

  • Add ngrok (Issue #334)
  • Do not clear composer cache on startup
  • Put Composer cache-dir to neard/tmp/composer (Issue #346)
  • Fix "Incorrect argument " error while retrieving list of processes
  • Find Git repositories with a max depth of 2
  • Add global composer vendor/bin in PATH (Issue #344)
  • Update about dialog
  • Move neard repositories to its own organization (Issue #339)
  • Remove HostsEditor module and add in core instead (Issue #329)
  • Upgrade to Markdown lib 1.7.0
  • Create separated logs (stdout / stderr) for NSSM services (Issue #326)
  • Update Node.js to 8.9.3
  • Update Gitlist to 0.6.0
  • Update PHP to 7.1.12
  • Update Composer to 1.5.6
Assets 7
You can’t perform that action at this time.